Compare commits

..

9 Commits

Author SHA1 Message Date
Geoff Bourne 51fc8e824d Auto-merging via docker-versions-create 2020-12-15 14:00:33 -06:00
Geoff Bourne aff9031284 Merge branch 'multiarch' into multiarch-latest 2020-11-26 08:46:26 -06:00
Geoff Bourne 397d080da2 Merge branch 'multiarch' into multiarch-latest 2020-11-25 21:36:48 -06:00
Geoff Bourne cb5d052829 Merge branch 'multiarch' into multiarch-latest
# Conflicts:
#	.github/workflows/build-multiarch.yml
2020-11-25 16:09:23 -06:00
Geoff Bourne 0908d21bed Merged from master 2020-11-25 16:01:42 -06:00
Marc Doughty 4d878985d4 Remove distro-provided JRE (#659)
We don't need Java 8 from Ubuntu, we have 15 from AdoptOpenJDK.
2020-11-03 06:33:19 -06:00
Geoff Bourne 72d7d4a65e Switched to latest Docker buildx github action 2020-10-31 14:48:51 -05:00
Geoff Bourne cb0add3b90 Added github action match for multiarch-latest branch 2020-10-31 13:38:44 -05:00
Marc Doughty 71a48ce10f Convert to AdoptOpenJDK (#658) 2020-10-31 13:36:47 -05:00
2 changed files with 44 additions and 57 deletions
+1 -2
View File
@@ -1,11 +1,10 @@
FROM ubuntu:18.04 FROM adoptopenjdk:latest
LABEL org.opencontainers.image.authors="Geoff Bourne <itzgeoff@gmail.com>" LABEL org.opencontainers.image.authors="Geoff Bourne <itzgeoff@gmail.com>"
RUN apt-get update \ RUN apt-get update \
&& DEBIAN_FRONTEND=noninteractive \ && DEBIAN_FRONTEND=noninteractive \
apt-get install -y \ apt-get install -y \
openjdk-8-jre-headless \
imagemagick \ imagemagick \
gosu \ gosu \
curl wget \ curl wget \
+43 -55
View File
@@ -4,66 +4,54 @@
set -o pipefail set -o pipefail
isDebugging && set -x isDebugging && set -x
if [[ $PAPER_DOWNLOAD_URL ]]; then # PaperMC API v2 docs : https://papermc.io/api/docs/swagger-ui/index.html?configUrl=/api/openapi/swagger-config
export SERVER=$(getFilenameFromUrl "${PAPER_DOWNLOAD_URL}")
if [ -f "$SERVER" ]; then build=$(curl -fsSL "https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}" -H "accept: application/json" \
zarg=(-z "$SERVER") | jq '.builds[-1]')
fi case $? in
0)
echo "Preparing custom PaperMC jar from $PAPER_DOWNLOAD_URL" ;;
22)
curl -fsSL -o "$SERVER" "${zarg[@]}" "${PAPER_DOWNLOAD_URL}" versions=$(curl -fsSL "https://papermc.io/api/v2/projects/paper" -H "accept: application/json")
else if [[ $VERSION = LATEST ]]; then
# PaperMC API v2 docs : https://papermc.io/api/docs/swagger-ui/index.html?configUrl=/api/openapi/swagger-config VANILLA_VERSION=$(echo "$versions" | jq -r '.versions[-1]')
log "WARN: using ${VANILLA_VERSION} since that's the latest provided by PaperMC"
build=$(curl -fsSL "https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}" -H "accept: application/json" \ # re-execute the current script with the newly computed version
| jq '.builds[-1]') exec $0 "$@"
case $? in fi
0) log "ERROR: ${VANILLA_VERSION} is not published by PaperMC"
;; log " Set VERSION to one of the following: "
22) log " $(echo "$versions" | jq -r '.versions | join(", ")')"
versions=$(curl -fsSL "https://papermc.io/api/v2/projects/paper" -H "accept: application/json")
if [[ $VERSION = LATEST ]]; then
VANILLA_VERSION=$(echo "$versions" | jq -r '.versions[-1]')
log "WARN: using ${VANILLA_VERSION} since that's the latest provided by PaperMC"
# re-execute the current script with the newly computed version
exec $0 "$@"
fi
log "ERROR: ${VANILLA_VERSION} is not published by PaperMC"
log " Set VERSION to one of the following: "
log " $(echo "$versions" | jq -r '.versions | join(", ")')"
exit 1
;;
*)
echo "ERROR: unknown error while looking up PaperMC version=${VANILLA_VERSION}"
exit 1
;;
esac
if [ $? != 0 ]; then
echo "ERROR: failed to lookup PaperMC build from version ${VANILLA_VERSION}"
exit 1 exit 1
fi ;;
*)
export SERVER=$(curl -fsSL "https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}/builds/${build}" -H "accept: application/json" \ echo "ERROR: unknown error while looking up PaperMC version=${VANILLA_VERSION}"
| jq -r '.downloads.application.name')
if [ $? != 0 ]; then
echo "ERROR: failed to lookup PaperMC download file from version=${VANILLA_VERSION} build=${build}"
exit 1 exit 1
fi ;;
esac
if [ $? != 0 ]; then
echo "ERROR: failed to lookup PaperMC build from version ${VANILLA_VERSION}"
exit 1
fi
if [ -f "$SERVER" ]; then export SERVER=$(curl -fsSL "https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}/builds/${build}" -H "accept: application/json" \
zarg=(-z "$SERVER") | jq -r '.downloads.application.name')
fi if [ $? != 0 ]; then
echo "ERROR: failed to lookup PaperMC download file from version=${VANILLA_VERSION} build=${build}"
exit 1
fi
log "Downloading PaperMC $VANILLA_VERSION (build $build) ..." if [ -f "$SERVER" ]; then
curl -fsSL -o "$SERVER" "${zarg[@]}" \ zarg=(-z "$SERVER")
"https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}/builds/${build}/downloads/${SERVER}" \ fi
-H "accept: application/java-archive"
if [ $? != 0 ]; then log "Downloading PaperMC $VANILLA_VERSION (build $build) ..."
echo "ERROR: failed to download PaperMC from version=${VANILLA_VERSION} build=${build} download=${SERVER}" curl -fsSL -o "$SERVER" "${zarg[@]}" \
exit 1 "https://papermc.io/api/v2/projects/paper/versions/${VANILLA_VERSION}/builds/${build}/downloads/${SERVER}" \
fi -H "accept: application/java-archive"
if [ $? != 0 ]; then
echo "ERROR: failed to download PaperMC from version=${VANILLA_VERSION} build=${build} download=${SERVER}"
exit 1
fi fi
# Normalize on Spigot for downstream operations # Normalize on Spigot for downstream operations